import React from 'react';

type EditorProps = {
    value: string;
    setValue: React.Dispatch<React.SetStateAction<string>>;
};
declare const Editor: ({ value, setValue }: EditorProps) => JSX.Element;

interface MarkdownTextAreaProps {
    value: string;
    setValue: React.Dispatch<React.SetStateAction<string>>;
}
declare const MarkdownTextArea: ({ value, setValue }: MarkdownTextAreaProps) => JSX.Element;

interface IPreviewContentProps {
    content: string;
}
declare const PreviewContent: React.FC<IPreviewContentProps>;

export { Editor, PreviewContent as Preview, MarkdownTextArea as TextArea };
